# ffmpeg-progressbar-cli [![npm](https://img.shields.io/npm/v/ffmpeg-progressbar-cli.svg?style=flat-square)](https://npmjs.com/package/ffmpeg-progressbar-cli)

<p align="center">
  <img width="100%" src="https://rawgit.com/sidneys/ffmpeg-progressbar-cli/master/resources/screencasts/screencast-1.svg"/><br>
  <b>ffmpeg-progressbar-cli is a <span style="color: red;">c</span><span style="color: orange;">o</span><span style="color: yellow;">l</span><span style="color: green;">o</span><span style="color: blue;">r</span><span style="color: indigo;">e</span><span style="color: violet;">d</span> progress bar for <a href="https://ffmpeg.org">FFmpeg</a>.</b><br>
  Simply use <code>ffmpeg-bar</code> instead of <code>ffmpeg</code>!<br><br>
</p>


## Contents

1. [Installation](#installation)
1. [Usage](#usage)
1. [Configuration](#configuration)
1. [Requirements](#requirements)
1. [Compatibility](#compatibility)
1. [Contribute](#contribute)
1. [Author](#author)


## <a name="installation"/></a> Installation

```bash
$ npm install --global ffmpeg-progressbar-cli
```


## <a name="usage"/></a> Usage

The installation process adds the `ffmpeg-bar` binary to your system, which is a fully transparent wrapper for `ffmpeg`, forwarding all commands to FFmpeg as-is.

To use it, simply start `ffmpeg-bar` instead of `ffmpeg`.

#### Examples

```bash
$ ffmpeg-bar -i input.mp4 output.avi
```

```bash
$ ffmpeg-bar -i input.avi -b:v 64k -bufsize 64k output.avi
```

```bash
$ ffmpeg-bar -i in.mkv -map_metadata:s:a 0:g out.mkv
```


## <a name="configuration"/></a> Configuration

For configuration purposes, this exposes several environmental variables:


##### `BAR_FILENAME_LENGTH`

`(default: 20)` The maximum length of the filename label displayed next to the bar.


##### `BAR_BAR_SIZE_RATIO `

`default: 0.4` | The share of horizontal display real estate the bar should occupy.

#### Examples

```bash
$ BAR_FILENAME_LENGTH=30 ffmpeg-bar -i in.mp4 out.mp4
```

```bash
$ BAR_BAR_SIZE_RATIO=0.5 ffmpeg-bar -i in.mp4 out.mp4
```

## <a name="requirements"/></a> Requirements

A working installation of [FFmpeg](https://ffmpeg.org/).


## <a name="compatibility"/></a> Compatibility

Tested on

 - macOS 10.13, 10.14 Beta
 - Windows 10 1803
 - Ubuntu 18.04


## <a name="contribute"/></a> Contribute ![Contributors Wanted](https://img.shields.io/badge/contributions-wanted-red.svg?style=flat-square)

Read the contribution [documentation](https://github.com/sidneys/ffmpeg-progressbar-cli/blob/master/CONTRIBUTING.md).


## <a name="license"/></a> License

MIT


## <a name="author"/></a> Author

[sidneys](http://sidneys.github.io) 2018

